Get TLS configuration
GET
/
cloud-cdn
/
distributions
/
configurations
/
tls
Get TLS configuration
curl --request GET \
--url https://api.aptranet.com/cloud-cdn/distributions/configurations/tls \
--header 'Aptranet-Secret: <api-key>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aptranet.com/cloud-cdn/distributions/configurations/tls"
headers = {
"Authorization": "Bearer <token>",
"Aptranet-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Aptranet-Secret': '<api-key>'}
};
fetch('https://api.aptranet.com/cloud-cdn/distributions/configurations/tls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aptranet.com/cloud-cdn/distributions/configurations/tls"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Aptranet-Secret", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"enable_https": true,
"https_redirect": true,
"enable_http3": true,
"tls_versions_support": {
"ssl3": true,
"tls1": true,
"tls1_1": true,
"tls1_2": true,
"tls1_3": true
},
"custom_sni_hostname": {
"enabled": true,
"configuration": "match_host_header",
"value": "<string>"
},
"origin_tls_validation": true,
"certificate_id": 1
}{
"error_code": "<string>",
"error": "<string>",
"error_description": "<string>",
"trace_id": "<string>"
}{
"error_code": "<string>",
"error": "<string>",
"error_description": "<string>",
"trace_id": "<string>"
}{
"error_code": "<string>",
"error": "<string>",
"error_description": "<string>",
"trace_id": "<string>"
}Authorizations
Access key beginning with APTRANET_.
Current secret paired with the access key.
Query Parameters
Distribution identifier.
Required range:
x >= 1Response
TLS configuration.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Select a certificate from the same project. Explicit 0 selects automatic management. Omit to preserve the current binding when HTTPS is already enabled.
Required range:
x >= 0Get TLS configuration
curl --request GET \
--url https://api.aptranet.com/cloud-cdn/distributions/configurations/tls \
--header 'Aptranet-Secret: <api-key>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aptranet.com/cloud-cdn/distributions/configurations/tls"
headers = {
"Authorization": "Bearer <token>",
"Aptranet-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Aptranet-Secret': '<api-key>'}
};
fetch('https://api.aptranet.com/cloud-cdn/distributions/configurations/tls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aptranet.com/cloud-cdn/distributions/configurations/tls"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Aptranet-Secret", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"enable_https": true,
"https_redirect": true,
"enable_http3": true,
"tls_versions_support": {
"ssl3": true,
"tls1": true,
"tls1_1": true,
"tls1_2": true,
"tls1_3": true
},
"custom_sni_hostname": {
"enabled": true,
"configuration": "match_host_header",
"value": "<string>"
},
"origin_tls_validation": true,
"certificate_id": 1
}{
"error_code": "<string>",
"error": "<string>",
"error_description": "<string>",
"trace_id": "<string>"
}{
"error_code": "<string>",
"error": "<string>",
"error_description": "<string>",
"trace_id": "<string>"
}{
"error_code": "<string>",
"error": "<string>",
"error_description": "<string>",
"trace_id": "<string>"
}